from draw import *
from math import *

t = Turtle()
t.screen.title('JBM Turtle : logo Série TV Scorpion')
t.screen.bgcolor("#000")

color('#fff');

scorpion = [
    ['color', '#fff'],
    ['l', 32],
    ['f', 82],
    ['l', 125],
    ['f', 200],
    ['l', 125],
    ['f', 180],
    ['l', 112],
    ['f', 175],
    ['l',123],
    ['f', 200], 
    ['l',156],
    ['f', 237],
    ['l',140],
    ['f', 20],
    ['r',20],
    ['f', 80],
    ['l',141],
    ['f', 175],
     ['l',148],
    ['f', 112],
    ['r',20],
    ['f', 12],
    ['l',60],
    ['c',55],
    ['l', 90],
    ['f', 85],
    ['l', 105], 
    ['c',34],
    ['r', 18], 
    ['c',34], 
    ['r', 18], 
    ['c',34],
    ['r', 68],
    ['f', 10],
    ['l', 90],
    ['c',10],
    ['r', 90],
    ['f', 28],
    ['l', 90],
    ['c',28],
    ['r', 90],
    ['f', 67],
    ['l', 84],
    ['c',67],
    ['l', 96],
    ['f', 155],
    ['l', 60],
    ['f', 26],
    ['l', 180],
    ['f', 26], 
    ['l', 60],
    ['f', 26],
    ['l', 180],
    ['f', 26],
    ['r', 125],
    ['f', 10],
    ['l', 60],
    ['f', 34],
    ['l', 180],
    ['f', 34],
    ['l', 67],
    ['f', 34],
    ['u',''],
    ['r', 90],
    ['c', 55,15],
    ['d',''], 
    ['l', 90], 
    ['f', 38],
    ['r', 90], 
    ['f', 28],
    ['r', 119], 
    ['f', 44],
    ['u',''],
    ['r', 90], 
    ['f', 7],
    ['d',''],
    ['r', 61], 
    ['f', 16],
    ['r', 37], 
    ['f', 25],
    ['r', 110], 
    ['f', 62],
    ['r', 160], 
    ['f', 58],
    ['r', 115],
    ['f', 85],
    ['u',''],
    ['l', 220],
    ['f', 34],
    ['r', 180],
    ['d',''],
    ['f', 34],
    ['c', 93,90],
    ['c', 73,45], 
    ['l', 360], 
    ['c', 92,-90],
    ['c', 105,-35],
    ['l', 360],
    ['c', 126,90],
    ['c', 87,45],
    ['l', 350],
    ['c', 85,-90],
    ['l', 145],
    ['c', 79,83],
    ['u',''],
    ['l', 250],
    ['f', 48],
    ['d',''],
    ['l', 168], 
    ['c', 50,20], 
    ['c', 110,56], 
    ['l', 119],
    ['u',''],
    ['f', 245],
    ['r', 58],
    ['d',''],
    ['f', 32],
    ['l', 85],
    ['f', 35], 
    ['l', 148],
    ['f', 42],
    ['r', 122],
    ['f', 45], 
    ['r', 153],
    ['f', 52], 
    ['r', 110],
    ['f', 22], 
    ['r', 97],
    ['f', 15],
    ['r', 90],
    ['f', 93],
    ['r', 180],
    ['c', 68,-20], 
    ['c', 103,-90],
    ['r', 33],
    ['c', 65,60],
    ['c', 107,75],
    ['l', 22],
    ['c', 73,-40],
    ['c', 112,-120], 
    ['l', 20],
    ['c', 90,90],
    ['l', 186],
    ['c', 89,-58],
    ['u',''], 
    ['r', 124],
    ['f', 314],
    ['d',''],
    ['r', 165],
    ['f', 75],
    ['r', 90],
    ['f', 72],
    ['r', 180],
    ['f', 72],
    ['r', 90],
    ['f', 15], 
    ['r', 90],
    ['f', 26],
    ['r', 270],
    ['c', 13,-180],
    ['c', 37,-180],
    ['c', 90,-90],
    ['c', 156,-90], 
    ['c', 90,-45],
    ['r', 225],
    ['f', 15],
    ['r', 180],
    ['f', 36],
    ['r', 180],
    ['f', 36],
    ['l', 90],
    ['f', 36],
    ['l', 180],
    ['f', 36],
    ['r', -180],
    ['c', 18,-180], 
    ['c', 36,-90],
    ['c', 50,-90],
    ['l', 20],
    ['c', 50,72],
    ['u',''], 
    ['l', 45], 
    ['f', 28],
    ['d',''],
    ['l', 230],
    ['c', 88,-35],
    ['u',''],
    ['l', 45],
    ['f', 25],
    ['d',''],
    ['l', 55],
    ['c', 50,-45],
    ['l', 60],
    ['f', 35],
    ['l', 180],
    ['f', 35],
    ['l', 100],
    ['c', 150,-20],
    ['l', 102],
    ['f', 28],
    ['r', 180],
    ['f', 28],
    ['l', 269],
    ['c', 105,120],
    ['u',''], 
    ['l', -10],
    ['f', 418],
    ['d',''],
    ['l', -108],
    ['f', 262],
    ['r', 90],
    ['f', 585],
    ['r', 90],
    ['f', 585],
    ['r', 90],
    ['f', 585],
    ['r', 90],
    ['f', 310],
    ['r', 180], 
    ['c', 340,-360],                                                                                       
]           

"DESSIN DU SCORPION"

for move in scorpion:
    if len(move) == 3:
        script(move[0],move[1],move[2])
    else:
        script(move[0],move[1])

t.color('red')
style = ('Verdana', 60, 'bold') 
t.write("</                     >", font=style, align='center')
t.color('#fff')     
t.write("  SCORPION", font=style, align='center')
t.screen.mainloop()